RubyCocoa 0.4.2 was released!

RubyCocoa 0.4.2 support new features Cocoa Bindings and Core Data. Enjoy! It's available from http://sourceforge.net/project/showfiles.php?group_id=44114&package_id=36578&release_id=369687

The '.pkg' binary packages are available for Mac OS X 10.4/10.3/10.2.
All of framework, library, documents, samples and Xcode/ProjectBuilder
templates are contained in the package. These items will be installed
into the appropriate place. It is available to start of RubyCocoa
programming or use of RubyCocoa application immediately.

Changes from 0.4.1

new feature
-----------

* support Cocoa Bindings (Mac OS X 10.3 or later)
* support Core Data (Mac OS X 10.4)

bug fix
-------

* a ruby object becomes an instance of OSX::OCObject
* itunes_albums.rb fails with NSCharacterConversionException
* a ruby script with sub-subclass of a Cocoa class crashes

Known Problems
--------------

Following problems are not solved at this relaese.

* SEGV/SIGBUS occurs sometimes with ruby Thread
* warning "NSView not correctly initialized." appears on console
at initializing subclass of NSView (Mac OS X 10.3.9 or later)
* "irb -r 'osx/cocoa'" crashes (Mac OS X 10.4)

Posted by Fujimoto Hisa 2005-11-10